{{- define "prometheus.msteams" -}}
{{- $logLevel := dict "root" $ "logLevels" (dict "trace" "debug" "debug" "debug" "info" "info" "warn" "info" "error" "info" "crit" "info") "component" "prometheusMsTeams" | include "stacklight.logLevel" -}}
httpProxyDiscovery:
  enabled: {{ .Values.global.proxy.enabled }}
  secretName: {{ .Values.global.proxy.secretName }}
  checksum: {{ .Values.global.proxy.hash }}

replicaCount: {{ get (include "stacklight.replicas" . | fromYaml) "prometheusMsTeams" }}
image:
  {{- include "stacklight.getImage" (dict "root" . "image" "prometheusMsTeams") | nindent 2 }}

connectors:
- alertmanager: {{ .Values.alertmanagerSimpleConfig.msteams.url }}

extraEnvs:
  DEBUG: {{ eq "debug" $logLevel }}

{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "prometheusMsTeams") }}
{{- include "stacklight.nodeSelector" (dict "inTplValues" .Values "service" "prometheusMsTeams") }}
{{- include "stacklight.tolerations" (dict "inTplValues" .Values "service" "prometheusMsTeams") }}
{{- end -}}
