{{- define "prometheus.pushgateway" -}}
{{- $logLevel := dict "root" $ "logLevels" (dict "trace" "debug" "debug" "debug" "info" "info" "warn" "warn" "error" "error" "crit" "error") "component" "prometheusPushGateway" | include "stacklight.logLevel" -}}
pushgateway:
  enabled: {{ .Values.prometheusPushgateway.enabled }}
  replicaCount: {{ get (include "stacklight.replicas" . | fromYaml) "pushgateway" }}
  {{- if $logLevel }}
  extraArgs:
    "log.level": {{ $logLevel | quote }}
  {{- end }}
  image:
    {{- include "stacklight.getImage" (dict "root" . "image" "pushgateway") | nindent 4 }}
  {{- if or .Values.storage.defaultStorageClass .Values.storage.componentStorageClasses.prometheusPushGateway }}
    {{- $storageClass := .Values.storage.defaultStorageClass }}
    {{- if .Values.storage.componentStorageClasses.prometheusPushGateway }}
      {{- $storageClass = .Values.storage.componentStorageClasses.prometheusPushGateway }}
    {{- end }}
  persistentVolume:
    storageClass: "{{ $storageClass }}"
  {{- end }}
  {{- include "stacklight.resources" (dict "inTplValues" .Values "service" "pushgateway") | nindent 2 }}
  {{- include "stacklight.nodeSelector" (dict "inTplValues" .Values "service" "prometheusPushGateway") | nindent 2 }}
  {{- include "stacklight.tolerations" (dict "inTplValues" .Values "service" "prometheusPushGateway") | nindent 2 }}
{{- end }}
