{{- define "telemeterServer" -}}
{{- $logLevel := dict "root" $ "logLevels" (dict "trace" "debug" "debug" "debug" "info" "info" "warn" "warn" "error" "error" "crit" "fatal") "component" "telemeterServer" | include "stacklight.logLevel" -}}
replicaCount: {{ get (include "stacklight.replicas" . | fromYaml) "telemeterServer" }}
image:
  {{- include "stacklight.getImage" (dict "root" . "image" "originTelemeter") | nindent 2 }}
server:
  verbose: {{ .Values.telemetry.telemeterServer.verbose }}
extraArgs:
{{- if $logLevel }}
  - --log-level={{ $logLevel | quote }}
{{- end }}
  - --elide-label=__replica__
  - --elide-label=mcc_cluster_id
whitelist:
  {{- range .Values.telemetry.telemeterServer.whitelist }}
  - --whitelist={{ . }}
  {{- end }}
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "telemeterServer") }}
{{- include "stacklight.nodeSelector" (dict "inTplValues" .Values "service" "telemeterServer") }}
{{- include "stacklight.tolerations" (dict "inTplValues" .Values "service" "telemeterServer") }}
{{- if .Values.global.serviceAnnotations }}
service:
  external:
    annotations:
      {{- toYaml .Values.global.serviceAnnotations | nindent 6 }}
{{- end }}
authServer:
  image:
    {{- include "stacklight.getImage" (dict "root" . "image" "telemeterTokenAuth") | nindent 4 }}
  {{- include "stacklight.resources" (dict "inTplValues" .Values "service" "telemeterServerAuthServer") | nindent 2 }}
tls:
  external:
    enabled: {{ .Values.telemetry.telemeterServer.tls.enabled }}
    clientCertificateControllerEnabled: {{ .Values.telemetry.telemeterServer.tls.clientCertificateControllerEnabled }}
    secretName: {{ .Values.telemetry.telemeterServer.tls.secretName }}
    secretChecksum: {{ .Values.telemetry.telemeterServer.tls.secretChecksum }}
{{- end }}
